package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * VoiceMailSettingResponse
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoiceMailSettingResponse   {
  @JsonProperty("omadacId")
  private String omadacId;

  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("noAnswerTime")
  private Integer noAnswerTime;

  @JsonProperty("remoteAccessPin")
  private String remoteAccessPin;

  @JsonProperty("voiceMailInUsb")
  private Boolean voiceMailInUsb;

  @JsonProperty("greetingForVoiceMailMode")
  private Integer greetingForVoiceMailMode;

  @JsonProperty("defaultGreetingName")
  private String defaultGreetingName;

  @JsonProperty("usbList")
  @Valid
  private List<UsbInfo> usbList = null;

  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("remoteAccessEnable")
  private Boolean remoteAccessEnable;

  @JsonProperty("duration")
  private Integer duration;

  public VoiceMailSettingResponse omadacId(String omadacId) {
    this.omadacId = omadacId;
    return this;
  }

  /**
   * Omadac ID.
   * @return omadacId
  */
  @ApiModelProperty(value = "Omadac ID.")


  public String getOmadacId() {
    return omadacId;
  }

  public void setOmadacId(String omadacId) {
    this.omadacId = omadacId;
  }

  public VoiceMailSettingResponse siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID.
   * @return siteId
  */
  @ApiModelProperty(value = "Site ID.")


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public VoiceMailSettingResponse noAnswerTime(Integer noAnswerTime) {
    this.noAnswerTime = noAnswerTime;
    return this;
  }

  /**
   * The no answer time of telephone number.
   * @return noAnswerTime
  */
  @ApiModelProperty(value = "The no answer time of telephone number.")


  public Integer getNoAnswerTime() {
    return noAnswerTime;
  }

  public void setNoAnswerTime(Integer noAnswerTime) {
    this.noAnswerTime = noAnswerTime;
  }

  public VoiceMailSettingResponse remoteAccessPin(String remoteAccessPin) {
    this.remoteAccessPin = remoteAccessPin;
    return this;
  }

  /**
   * Remote access pin.
   * @return remoteAccessPin
  */
  @ApiModelProperty(value = "Remote access pin.")


  public String getRemoteAccessPin() {
    return remoteAccessPin;
  }

  public void setRemoteAccessPin(String remoteAccessPin) {
    this.remoteAccessPin = remoteAccessPin;
  }

  public VoiceMailSettingResponse voiceMailInUsb(Boolean voiceMailInUsb) {
    this.voiceMailInUsb = voiceMailInUsb;
    return this;
  }

  /**
   * Whether voice mail is in USB.
   * @return voiceMailInUsb
  */
  @ApiModelProperty(value = "Whether voice mail is in USB.")


  public Boolean getVoiceMailInUsb() {
    return voiceMailInUsb;
  }

  public void setVoiceMailInUsb(Boolean voiceMailInUsb) {
    this.voiceMailInUsb = voiceMailInUsb;
  }

  public VoiceMailSettingResponse greetingForVoiceMailMode(Integer greetingForVoiceMailMode) {
    this.greetingForVoiceMailMode = greetingForVoiceMailMode;
    return this;
  }

  /**
   * Parameter [greetingForVoiceMailMode] will be 0 or 1. 0: Default, 1: Custom.
   * @return greetingForVoiceMailMode
  */
  @ApiModelProperty(value = "Parameter [greetingForVoiceMailMode] will be 0 or 1. 0: Default, 1: Custom.")


  public Integer getGreetingForVoiceMailMode() {
    return greetingForVoiceMailMode;
  }

  public void setGreetingForVoiceMailMode(Integer greetingForVoiceMailMode) {
    this.greetingForVoiceMailMode = greetingForVoiceMailMode;
  }

  public VoiceMailSettingResponse defaultGreetingName(String defaultGreetingName) {
    this.defaultGreetingName = defaultGreetingName;
    return this;
  }

  /**
   * Greeting name.
   * @return defaultGreetingName
  */
  @ApiModelProperty(value = "Greeting name.")


  public String getDefaultGreetingName() {
    return defaultGreetingName;
  }

  public void setDefaultGreetingName(String defaultGreetingName) {
    this.defaultGreetingName = defaultGreetingName;
  }

  public VoiceMailSettingResponse usbList(List<UsbInfo> usbList) {
    this.usbList = usbList;
    return this;
  }

  public VoiceMailSettingResponse addUsbListItem(UsbInfo usbListItem) {
    if (this.usbList == null) {
      this.usbList = new ArrayList<>();
    }
    this.usbList.add(usbListItem);
    return this;
  }

  /**
   * USB info list.
   * @return usbList
  */
  @ApiModelProperty(value = "USB info list.")

  @Valid

  public List<UsbInfo> getUsbList() {
    return usbList;
  }

  public void setUsbList(List<UsbInfo> usbList) {
    this.usbList = usbList;
  }

  public VoiceMailSettingResponse enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Whether voice mail is enable.
   * @return enable
  */
  @ApiModelProperty(value = "Whether voice mail is enable.")


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public VoiceMailSettingResponse remoteAccessEnable(Boolean remoteAccessEnable) {
    this.remoteAccessEnable = remoteAccessEnable;
    return this;
  }

  /**
   * Whether voice mail allows remote access.
   * @return remoteAccessEnable
  */
  @ApiModelProperty(value = "Whether voice mail allows remote access.")


  public Boolean getRemoteAccessEnable() {
    return remoteAccessEnable;
  }

  public void setRemoteAccessEnable(Boolean remoteAccessEnable) {
    this.remoteAccessEnable = remoteAccessEnable;
  }

  public VoiceMailSettingResponse duration(Integer duration) {
    this.duration = duration;
    return this;
  }

  /**
   * Voice mail duration.
   * @return duration
  */
  @ApiModelProperty(value = "Voice mail duration.")


  public Integer getDuration() {
    return duration;
  }

  public void setDuration(Integer duration) {
    this.duration = duration;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoiceMailSettingResponse voiceMailSettingResponse = (VoiceMailSettingResponse) o;
    return Objects.equals(this.omadacId, voiceMailSettingResponse.omadacId) &&
        Objects.equals(this.siteId, voiceMailSettingResponse.siteId) &&
        Objects.equals(this.noAnswerTime, voiceMailSettingResponse.noAnswerTime) &&
        Objects.equals(this.remoteAccessPin, voiceMailSettingResponse.remoteAccessPin) &&
        Objects.equals(this.voiceMailInUsb, voiceMailSettingResponse.voiceMailInUsb) &&
        Objects.equals(this.greetingForVoiceMailMode, voiceMailSettingResponse.greetingForVoiceMailMode) &&
        Objects.equals(this.defaultGreetingName, voiceMailSettingResponse.defaultGreetingName) &&
        Objects.equals(this.usbList, voiceMailSettingResponse.usbList) &&
        Objects.equals(this.enable, voiceMailSettingResponse.enable) &&
        Objects.equals(this.remoteAccessEnable, voiceMailSettingResponse.remoteAccessEnable) &&
        Objects.equals(this.duration, voiceMailSettingResponse.duration);
  }

  @Override
  public int hashCode() {
    return Objects.hash(omadacId, siteId, noAnswerTime, remoteAccessPin, voiceMailInUsb, greetingForVoiceMailMode, defaultGreetingName, usbList, enable, remoteAccessEnable, duration);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoiceMailSettingResponse {\n");
    
    sb.append("    omadacId: ").append(toIndentedString(omadacId)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    noAnswerTime: ").append(toIndentedString(noAnswerTime)).append("\n");
    sb.append("    remoteAccessPin: ").append(toIndentedString(remoteAccessPin)).append("\n");
    sb.append("    voiceMailInUsb: ").append(toIndentedString(voiceMailInUsb)).append("\n");
    sb.append("    greetingForVoiceMailMode: ").append(toIndentedString(greetingForVoiceMailMode)).append("\n");
    sb.append("    defaultGreetingName: ").append(toIndentedString(defaultGreetingName)).append("\n");
    sb.append("    usbList: ").append(toIndentedString(usbList)).append("\n");
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    remoteAccessEnable: ").append(toIndentedString(remoteAccessEnable)).append("\n");
    sb.append("    duration: ").append(toIndentedString(duration)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

